> For the complete documentation index, see [llms.txt](https://mariadb.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-thread_pool_groups-table.md).

# Information Schema THREAD\_POOL\_GROUPS Table

{% hint style="info" %}
This table is available as of MariaDB 10.5.
{% endhint %}

The table provides information about [thread pool](/docs/server/ha-and-performance/optimization-and-tuning/buffers-caches-and-threads/thread-pool/thread-pool-in-mariadb.md) groups, and contains the following columns:

| Column           | Description                                                                                                                                                                                                                                                                             |
| ---------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| GROUP\_ID        | the thread group this row is showing data for                                                                                                                                                                                                                                           |
| CONNECTIONS      | the number of clients currently connected to this thread group                                                                                                                                                                                                                          |
| THREADS          | total number of threads in this group (ACTIVE+STANDBY+LISTENER)                                                                                                                                                                                                                         |
| ACTIVE\_THREADS  | number of threads currently executing a query                                                                                                                                                                                                                                           |
| STANDBY\_THREADS | number of threads in reserve that do not currently execute anything                                                                                                                                                                                                                     |
| QUEUE\_LENGTH    | number of client requests waiting for execution                                                                                                                                                                                                                                         |
| HAS\_LISTENER    | whether there is an active listener thread right now, always 1 if [thread\_pool\_dedicated\_listener](/docs/server/ha-and-performance/optimization-and-tuning/buffers-caches-and-threads/thread-pool/thread-pool-system-status-variables.md#thread_pool_dedicated_listener) is ON       |
| IS\_STALLED      | whether there's currently an active worker thread in this group that has exceeded [thread\_pool\_stall\_limit time](/docs/server/ha-and-performance/optimization-and-tuning/buffers-caches-and-threads/thread-pool/thread-pool-system-status-variables.md#thread_pool_stall_limit_time) |

Setting [thread\_pool\_dedicated\_listener](/docs/server/ha-and-performance/optimization-and-tuning/buffers-caches-and-threads/thread-pool/thread-pool-system-status-variables.md#thread_pool_dedicated_listener) will give each group its own dedicated listener, and the listener thread will not pick up work items. As a result, the actual queue size in the table will be more exact, since IO requests are immediately dequeued from poll, without delay.

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-thread_pool_groups-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
